> ## Documentation Index
> Fetch the complete documentation index at: https://docs.telemetree.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Register Application

> **Description:** Register a new application to be tracked for monthly active users.

**Parameters:**
- `application`: Application details including name, handle, description, link, and photo URL

**Header**
- `x-api-key`: Your API Key (Dashboard->Settings)

**Returns:**
- HTTP 200 OK: The request was successful and the application has been registered.



## OpenAPI

````yaml https://ebn.telemetree.io/public-api/openapi.json post /applications/register
openapi: 3.1.0
info:
  title: Telemetree API
  description: Telemetree Public API endpoints.
  termsOfService: https://docs.telemetree.io/essentials/terms-of-service
  contact:
    name: Chris
    url: https://t.me/telemetree_referral
    email: chris@telemetree.io
  version: 1.0.0
servers:
  - url: https://ebn.telemetree.io/public-api
security: []
paths:
  /applications/register:
    post:
      tags:
        - Monthly Active Users API
      summary: Register Application
      description: >-
        **Description:** Register a new application to be tracked for monthly
        active users.


        **Parameters:**

        - `application`: Application details including name, handle,
        description, link, and photo URL


        **Header**

        - `x-api-key`: Your API Key (Dashboard->Settings)


        **Returns:**

        - HTTP 200 OK: The request was successful and the application has been
        registered.
      operationId: register_application_applications_register_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RegisterApplicationRequest'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RegisterApplicationResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - api_key: []
components:
  schemas:
    RegisterApplicationRequest:
      properties:
        name:
          type: string
          maxLength: 100
          minLength: 1
          title: Name
          description: Application name
        handle:
          type: string
          maxLength: 100
          minLength: 2
          title: Handle
          description: Application handle (e.g. @myapp)
        link:
          type: string
          maxLength: 2083
          minLength: 1
          format: uri
          title: Link
          description: Application link (e.g. t.me/myapp)
        description:
          type: string
          maxLength: 500
          title: Description
          description: Application description
          default: ''
        photo_url:
          anyOf:
            - type: string
              maxLength: 2083
              minLength: 1
              format: uri
            - type: 'null'
          title: Photo Url
          description: Application photo URL
      type: object
      required:
        - name
        - handle
        - link
      title: RegisterApplicationRequest
    RegisterApplicationResponse:
      properties:
        status_code:
          type: integer
          title: Status Code
          default: 201
        message:
          type: string
          title: Message
          default: Application registered successfully
      type: object
      title: RegisterApplicationResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    api_key:
      type: apiKey
      description: Your API Key (Dashboard->Settings)
      in: header
      name: x-api-key

````